Public Class PostulanteEvaluacionesBusinessObject
    Inherits BusinessObject(Of PostulanteEvaluaciones)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New PostulanteEvaluacionesDbHelper
    End Sub

    Public Sub New(ByVal entity As PostulanteEvaluaciones)
        MyBase.New(entity)
        DbHelper = New PostulanteEvaluacionesDbHelper
    End Sub

    Public Sub New(ByVal idPostulanteCompetencias As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPostulanteCompetencias = idPostulanteCompetencias
        Dim Entity_Aux As PostulanteEvaluaciones = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As PostulanteEvaluacionesBusinessObject
    Protected Shared Function GetDdHelperInstance() As PostulanteEvaluacionesDbHelper
        If _Instance Is Nothing Then
            _Instance = New PostulanteEvaluacionesBusinessObject
        End If
    Return CType(_Instance.DbHelper, PostulanteEvaluacionesDbHelper)
    End Function

    Public Shared Function GetListPostulanteEvaluaciones(Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEvaluaciones)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListPostulanteEvaluacionesByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEvaluaciones)
        Return GetDdHelperInstance.GetListPostulanteEvaluacionesByConcursoPostulante(idConcursoPostulante, foreignLevel)
    End Function

    Public Shared Function GetListPostulanteEvaluacionesByConfiguracionCalificacion(ByVal idConfiguracionCalificacion as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEvaluaciones)
        Return GetDdHelperInstance.GetListPostulanteEvaluacionesByConfiguracionCalificacion(idConfiguracionCalificacion, foreignLevel)
    End Function

#End Region
End Class
